Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class DefaultEmbeddedImageListener

    java.lang.Object
      com.compoze.domino.DefaultEmbeddedImageListener

All Implemented Interfaces:
  IEmbeddedImageListener, java.io.Serializable

public class DefaultEmbeddedImageListener
extends java.lang.Object
implements IEmbeddedImageListener, java.io.Serializable

This class provides the default implementation for building the embedded image servlet URL.

See Also:
  Serialized Form

Constructor Summary
`DefaultEmbeddedImageListener()` Constructor.
`DefaultEmbeddedImageListener(java.lang.String sServletName)` Constructor.

Method Summary
`java.lang.String` | `getImageServletURL(java.lang.String sDocumentID, java.lang.String sImageID)` Gets the embedded image servlet URL.
`void` | `setDocumentIDName(java.lang.String sDocumentIDName)` Sets the document ID name for the URL name/value pair.
`void` | `setImageIDName(java.lang.String sImageIDName)` Sets the image ID name for the URL name/value pair.
`void` | `setResponse(javax.servlet.http.HttpServletResponse response)` Sets the response object responsible for URL encoding the embedded image servlet URL.
`void` | `setServletName(java.lang.String sServletName)` Sets the servlet name/path.
`void` | `setSessionName(java.lang.String sSessionName)` Sets the session name.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultEmbeddedImageListener

    public DefaultEmbeddedImageListener()

  Constructor.

### DefaultEmbeddedImageListener

    public DefaultEmbeddedImageListener(java.lang.String sServletName)

  Constructor.

Parameters:
  `sServletName` - the serlvet name/path (may not be `null`)

Method Detail

### setServletName

    public void setServletName(java.lang.String sServletName)

  Sets the servlet name/path.

  Parameters:
    `sServletName` - the name/path of the servlet (may not be `null`)

### setDocumentIDName

    public void setDocumentIDName(java.lang.String sDocumentIDName)

  Sets the document ID name for the URL name/value pair.

  Parameters:
    `sDocumentIDName` - the document ID name (may not be `null`)

### setImageIDName

    public void setImageIDName(java.lang.String sImageIDName)

  Sets the image ID name for the URL name/value pair.

  Parameters:
    `sImageIDName` - the image ID name (may not be `null`)

### setSessionName

    public void setSessionName(java.lang.String sSessionName)

  Sets the session name.

  Parameters:
    `sSessionName` - the session name

### setResponse

    public void setResponse(javax.servlet.http.HttpServletResponse response)

  Sets the response object responsible for URL encoding the embedded image servlet URL.

  Parameters:
    `response` - the response object that provides URL encoding functionality

### getImageServletURL

    public java.lang.String getImageServletURL(java.lang.String sDocumentID,
                                               java.lang.String sImageID)

  Description copied from interface: `IEmbeddedImageListener`
  Gets the embedded image servlet URL.

  Specified by:
    `getImageServletURL` in interface `IEmbeddedImageListener`
  Parameters:
    `sDocumentID` - the id of the document (may not be `null`)
    `sImageID` - the id of the image (may not be `null`)
  Returns:
    the URL for the embedded image servlet

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Returns:
    string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.